/*
 * @Author: Badguy
 * @Date: 2022-02-14 09:37:11
 * @LastEditTime: 2022-02-14 17:50:17
 * @LastEditors: your name
 * @Description: 账户管理api
 * have a nice day!
 */
import request from '@/utils/request'

// 账号列表查询
export function GetAccountList(params) {
  return request({
    url: '/api/4A/GetUserList/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 账号状态变更
export function ChangeUserStatus(params) {
  return request({
    url: '/api/4A/ChangeUserStatus/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 账号删除
export function delAccount(params) {
  return request({
    url: '/api/4A/DeleteUser/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 账号新增保存
export function addAccount(params) {
  return request({
    url: '/api/4A/SaveUser/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 账号详情查询
export function accDeaitls(params) {
  return request({
    url: '/api/4A/GetUserDetails/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 账号编辑保存
export function deitAcc(params) {
  return request({
    url: '/api/4A/EditUser/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 根据账号组获取角色
export function GetRoleByGroup(params) {
  return request({
    url: '/api/4A/GetRoleByGroup/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}
